const { gql } = require('apollo-server-express');

module.exports = gql`

    type Agent {
        id: ID!
        userId: String!
        matricule: String
        civilite: String!
        nom: String!
        prenom: String!
        sexe: String!
        phoneNumber: String!
        email: String
        securiteSocial: String
        avatar: String
        status: Int!
        createdAt: DateTime
        updatedAt: DateTime
        deletedAt: DateTime
        fonction: Fonction!
        institution: Institution
        departement: Departement
        adresse: Adresse!
        recettes: [Recette!]
    }

    extend type Query {
        findAllEvents: [Event!]
        findEvent(eventId: String!): Event
    }

    extend type Mutation {
        createEvent(title:String!, moduleId: String!): CreateEventResponse
    }

    type CreateEventResponse {
        id: String!
        title: String!
        status: Int
        createdAt: DateTime!
        updatedAt: DateTime!
    }

`;